Package org.eclipse.ecf.filetransfer.identity

## Interface IFileID

All Superinterfaces:
  `Comparable`, `org.eclipse.core.runtime.IAdaptable`, `ID`, `Principal`, `Serializable`

All Known Implementing Classes:
  `FileTransferID`

    public interface IFileID
    extends ID

ID for a remote file.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFilename()` Get the file name from this IFileID.
`URI` `getURI()` Get the URI associated with the file identified by this IFileID.
`URL` `getURL()` Get the url associated with the file identified by this IFileID.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Method Detail

#### getFilename

    String getFilename()

Get the file name from this IFileID. This will return just the filename portion of a more complex file ID, e.g. index.html from IFileID created with value "http://www.composent.com/index.html"

Returns:
  String just the file name and extension (if any) for this given IFileID. Will not be `null`.

#### getURL

    URL getURL()
        throws MalformedURLException

Get the url associated with the file identified by this IFileID.

Returns:
  URL associated with this IFileID. Will not be null.
Throws:
  `MalformedURLException` - thrown if URL cannot be created for this IFileID

#### getURI

    URI getURI()
        throws URISyntaxException

Get the URI associated with the file identified by this IFileID.

Returns:
  URI associated with this IFileID. Will not be `null`.
Throws:
  `URISyntaxException` - thrown if URI cannot be created for this IFileID.
Since:
  5.0